Skip to main content
GET
/
v1
/
payments
List Payments
curl --request GET \
  --url https://api.example.com/v1/payments
{
  "data": [
    {
      "paymentId": "<string>",
      "object": "payment",
      "amount": "<string>",
      "assetCode": "<string>",
      "method": "CRYPTO",
      "status": "COMPLETED",
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "provider": "<string>",
      "providerPaymentId": "<string>",
      "description": "<string>",
      "initiatedAt": "2023-11-07T05:31:56Z",
      "processedAt": "2023-11-07T05:31:56Z",
      "completedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "page_size": 123,
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.bluerails.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

cursor
string

The cursor pointing to the start of the next page (omit for first request)

limit
integer<int32>
default:25

The number of items to return per page (default: 25, max: 100)

Response

The request has succeeded.

Container model for paginated responses

data
object[]
required

The array of data items

page_size
integer<int32>
required

The number of items returned in this response

next_cursor
string

The cursor pointing to the start of the next page (null if no more pages)